@charset "UTF-8";
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 400;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Regular.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 500;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Medium.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 700;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Bold.woff);
}
@font-face {
  font-family: "Noto Sans JP";
  font-weight: 900;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Black.woff);
}
@font-face {
  font-family: "M PLUS Rounded 1c";
  font-weight: 900;
  font-display: swap;
  src: url(../media/files/fonts/NotoSansJP-Black.woff);
}
/*スライダー*/
.c-slide__pagination {
  display: flex;
  align-items: center;
  margin-top: 32px;
}

.c-slide__pagination--center {
  justify-content: center;
}

.c-slide__title {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  margin-top: 18px;
}

.swiper-button-prev,
.swiper-button-next {
  position: relative;
  left: unset;
  right: unset;
  top: unset;
  margin-top: unset;
  width: 32px;
  height: 32px;
  background: #A9CE52;
  border-radius: 50%;
  background-image: url("../media/images/common/link_btn_green.svg");
  background-size: contain;
  opacity: 1;
  transition: all 0.3s;
}
@media only screen and (min-width: 768px) {
  .swiper-button-prev:hover,
  .swiper-button-next:hover {
    opacity: 0.7;
  }
}
.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}
@media only screen and (max-width: 767px) {
  .swiper-button-prev,
  .swiper-button-next {
    width: 24px;
    height: 24px;
  }
}

.swiper-button-prev {
  margin-right: 16px;
  transform: rotate(180deg);
}
@media only screen and (max-width: 767px) {
  .swiper-button-prev {
    margin-right: 12px;
  }
}

.swiper-button-next {
  margin-left: 16px;
}
@media only screen and (max-width: 767px) {
  .swiper-button-next {
    margin-left: 12px;
  }
}

.swiper-pagination {
  position: relative;
  bottom: unset !important;
  width: auto !important;
}

/* ページネーションの基本スタイル */
.swiper-pagination-bullet {
  background-color: transparent; /* 背景色を透明に */
  background-image: url("../media/images/common/star_image_gray.svg");
  background-repeat: no-repeat;
  background-size: contain;
  border-radius: unset; /* これがないと画像が欠ける */
  height: auto !important;
  opacity: 1; /* 画像の透過を無くす */
  width: 24px !important;
  margin: 0 16px !important;
  aspect-ratio: 24/23 !important;
  opacity: 1;
}
.swiper-pagination-bullet:first-child {
  margin-left: 0 !important;
}
.swiper-pagination-bullet:last-child {
  margin-right: 0 !important;
}
@media only screen and (max-width: 767px) {
  .swiper-pagination-bullet {
    margin: 0 6px !important;
    width: 16px !important;
  }
}

/* 選択されているページネーション */
.swiper-pagination-bullet-active {
  background-image: url("../media/images/common/star_image.svg");
}

/* 画像サイズ調整 */
.swiper-slide img {
  height: auto;
  width: 100%;
  border-radius: 24px;
}

.p-class-kv {
  padding-bottom: 28px;
}
@media only screen and (max-width: 767px) {
  .p-class-kv {
    padding-bottom: 72px;
  }
}

.p-class-kv__inner {
  display: block;
}

.p-class-kv__slide {
  margin-top: 56px;
  overflow: hidden;
}
@media only screen and (max-width: 767px) {
  .p-class-kv__slide {
    margin-top: 32px;
    padding: 0 16px;
  }
}
.p-class-kv__slide .swiper-slide {
  width: 640px;
}
@media only screen and (max-width: 767px) {
  .p-class-kv__slide .swiper-slide {
    width: 100%;
  }
}

.p-class-kv__slide-pagination {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  margin-top: 32px;
  gap: 24px;
}
.p-class-kv__slide-pagination .c-slide__pagination {
  margin-top: 0;
}

.p-class-kv__list {
  display: flex;
  align-items: center;
  gap: 24px;
}

.p-class-kv__about {
  margin-top: 40px;
  display: flex;
  justify-content: center;
  gap: 32px;
}
@media only screen and (max-width: 1023px) {
  .p-class-kv__about {
    flex-direction: column;
    align-items: center;
  }
}
@media only screen and (max-width: 767px) {
  .p-class-kv__about {
    flex-direction: column;
    gap: 16px;
  }
}

.p-class-kv__info {
  width: 100%;
  padding: 20px 48px;
  border-radius: 80px;
  background: #ffffff;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}
@media only screen and (max-width: 767px) {
  .p-class-kv__info {
    grid-template-columns: 1fr;
    border-radius: 24px;
    padding: 22px 20px;
  }
}

.p-class-kv__info-address {
  padding-right: 48px;
}
@media only screen and (max-width: 1279px) {
  .p-class-kv__info-address {
    padding-right: 32px;
  }
}
@media only screen and (max-width: 767px) {
  .p-class-kv__info-address {
    padding-right: unset;
    padding-bottom: 18px;
  }
}

.p-class-kv__info-lesson {
  padding-left: 48px;
  border-left: 2px solid #cccccc;
}
@media only screen and (max-width: 1279px) {
  .p-class-kv__info-lesson {
    padding-left: 32px;
  }
}
@media only screen and (max-width: 767px) {
  .p-class-kv__info-lesson {
    padding-left: unset;
    border-left: unset;
    padding-top: 18px;
    border-top: 2px solid #cccccc;
  }
}

.p-class-kv__contact {
  flex-shrink: 0;
}
@media only screen and (max-width: 1023px) {
  .p-class-kv__contact {
    flex-shrink: unset;
    width: 100%;
    max-width: 368px;
  }
}

.p-class-kv__contact-link {
  border-radius: 80px;
  border: 4px solid #A9CE52;
  width: 318px;
  height: 96px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffffff;
}
@media only screen and (max-width: 1279px) {
  .p-class-kv__contact-link {
    width: 260px;
  }
}
@media only screen and (max-width: 1023px) {
  .p-class-kv__contact-link {
    width: 100%;
    height: 80px;
    margin: 0 auto;
  }
}

/*.p-class-kv__contact-text{
    font-weight: bold;
    position: relative;
    padding: 0 14px;
    &::before,&::after{
        position: absolute;
        content: "";
        width: 2px;
        height: 12px;
        background: $colorGreen;
        bottom: 2px;
    }
    &::before{
        left: 0;
        transform: rotate(-30deg);
    }
    &::after{
        right: 0;
        transform: rotate(-150deg);
    }
}*/
.p-class-kv__contact-num {
  font-size: 24px;
  font-weight: bold;
  padding-left: 42px;
  position: relative;
}
.p-class-kv__contact-num::before {
  position: absolute;
  content: "";
  width: 32px;
  height: 32px;
  background-image: url("../media/images/class/kv_tel_icon.svg");
  background-size: contain;
  background-repeat: no-repeat;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.p-course__btn {
  margin-top: 56px;
}

.p-price {
  padding-bottom: 0;
}

.p-price-table__wrap {
  overflow-x: auto;
}

.p-price-table {
  margin-top: 72px;
  width: -moz-fit-content;
  width: fit-content;
}
@media only screen and (max-width: 767px) {
  .p-price-table {
    display: flex;
    gap: 6px;
  }
}

@media only screen and (max-width: 767px) {
  .p-price-table__body {
    display: flex;
    gap: 6px;
  }
}

.p-price-table__row {
  width: 100%;
  display: grid;
  grid-template-columns: 168px 1fr 1fr 1fr 1fr;
  gap: 0 8px;
}
@media only screen and (max-width: 767px) {
  .p-price-table__row {
    grid-template-columns: 1fr;
  }
}

@media only screen and (max-width: 767px) {
  .p-price-table__header {
    height: 92px;
  }
}
@media only screen and (max-width: 767px) {
  .p-price-table__header:first-of-type {
    height: 72px;
  }
}

.p-price-table__header--class,
.p-price-table__data {
  text-align: center;
  min-width: 234px;
}

.p-price-table__header--class {
  background: #A9CE52;
  border-radius: 24px 24px 0 0;
  padding: 22px 10px;
  font-weight: bold;
  line-height: 1.4;
}
@media only screen and (max-width: 767px) {
  .p-price-table__header--class {
    padding: 20px;
    border-radius: 24px 0 0 24px;
  }
}
@media only screen and (max-width: 767px) {
  .p-price-table__header--class:nth-child(n+3) {
    margin-top: 6px;
  }
}

.p-price-table__header--class-challenge,
.p-price-table__header--class-gym {
  background: #00B8FF;
}

.p-price-table__header--class-back {
  background: #FF695B;
}

.p-price-table__class-name {
  font-size: 24px;
}
@media only screen and (max-width: 1279px) {
  .p-price-table__class-name {
    font-size: 20px;
  }
}

.p-price-table__row:first-of-type .p-price-table__header--course {
  border-top: unset;
}
.p-price-table__row:last-of-type .p-price-table__header--course {
  border-bottom: unset;
}

.p-price-table__header--course {
  font-size: 20px;
  font-weight: bold;
  padding: 24px;
  width: 168px;
  border-radius: 24px 0 0 24px;
  border-top: 3px solid #ffffff;
  border-bottom: 3px solid #ffffff;
  background: #F5F5F5;
  display: flex;
  align-items: center;
}
@media only screen and (max-width: 767px) {
  .p-price-table__header--course {
    padding: 20px;
    height: 72px;
    border-radius: 24px 24px 0 0;
    width: 234px;
    justify-content: center;
    border: unset;
  }
}

.p-price-table__data {
  padding: 40px 20px;
  border: 2px solid #cccccc;
  border-top: unset;
  font-weight: bold;
  font-size: 20px;
  line-height: 1.2;
}
@media only screen and (max-width: 767px) {
  .p-price-table__data {
    padding: 22px 48px;
    height: 96px;
  }
}

.p-price-table__price {
  font-size: 40px;
}
@media only screen and (max-width: 1279px) {
  .p-price-table__price {
    font-size: 32px;
  }
}
.p-instructor {
  padding-top: 160px;
  padding-bottom: 0;
}
@media only screen and (max-width: 767px) {
  .p-instructor {
    padding-top: 64px;
  }
}

.p-instructor__inner {
  display: flex;
  align-items: center;
  gap: 64px;
}
@media only screen and (max-width: 1023px) {
  .p-instructor__inner {
    flex-direction: column;
  }
}
@media only screen and (max-width: 767px) {
  .p-instructor__inner {
    gap: 40px;
  }
}

.p-instructor__content {
  width: 100%;
}

.p-instructor__name-wrap {
  margin-top: 42px;
}

.p-instructor__name {
  margin-top: 16px;
  font-size: 32px;
  font-weight: bold;
}
@media only screen and (max-width: 767px) {
  .p-instructor__name {
    font-size: 24px;
  }
}

.p-instructor__text-wrap {
  margin-top: 16px;
}

.p-instructor__text {
  text-align: left;
}

.p-instructor__btn {
  margin-top: 56px;
}

.p-instructor__image-wrap {
  flex-shrink: 0;
  max-width: 50%;
}
@media only screen and (max-width: 1023px) {
  .p-instructor__image-wrap {
    max-width: unset;
    width: 100%;
  }
}

.p-instructor__image {
  width: 100%;
  border-radius: 24px;
}

/*.p-instructor__slide{
    max-width: 760px;
    overflow: hidden;
}*/
.p-contact__block {
  background: #f1f7e3;
  border-radius: 40px;
}

.p-access {
  /*&__map{
      width: 100%;
      @media only screen and (max-width: 767px) {
          height: 244px;
      }
  }*/
}
.p-access__map-wrap {
  margin-top: 40px;
}
.p-access__map-wrap iframe {
  width: 100%;
}
@media only screen and (max-width: 767px) {
  .p-access__map-wrap iframe {
    height: 244px;
  }
}
.p-access__info {
  margin-top: 32px;
  display: flex;
}
@media only screen and (max-width: 767px) {
  .p-access__info {
    flex-direction: column;
  }
}
.p-access__info-inner {
  width: 100%;
  padding: 0 32px;
  border-left: 2px solid #cccccc;
  align-items: baseline;
}
.p-access__info-inner:last-child {
  border-right: 2px solid #cccccc;
}
@media only screen and (max-width: 767px) {
  .p-access__info-inner:last-child {
    border-right: unset;
  }
}
@media only screen and (max-width: 767px) {
  .p-access__info-inner:nth-child(n+2) {
    border-top: 2px solid #cccccc;
    margin-top: 32px;
    padding-top: 32px;
  }
}
@media only screen and (max-width: 767px) {
  .p-access__info-inner {
    padding: 0;
    border-left: unset;
  }
}
.p-access__info-title {
  font-weight: bold;
}
.p-access__info-text {
  line-height: 1.9;
}

.p-schedule {
  padding-top: 160px;
}
@media only screen and (max-width: 767px) {
  .p-schedule {
    padding-top: 64px;
  }
}
.p-schedule__text-wrap {
  margin-top: 44px;
  text-align: right;
}
.p-schedule__image-wrap {
  background: #F5F5F5;
  border-radius: 24px;
  padding: 48px 50px;
  margin-top: 16px;
}
@media only screen and (max-width: 767px) {
  .p-schedule__image-wrap {
    padding: 20px;
  }
}

.p-interview {
  padding-bottom: 0;
}
.p-interview__list {
  margin-top: 66px;
}

.p-exercise {
  padding-top: 160px;
}
@media only screen and (max-width: 767px) {
  .p-exercise {
    padding-top: 64px;
  }
}
.p-exercise__list {
  margin-top: 66px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px 40px;
}
@media only screen and (max-width: 767px) {
  .p-exercise__list {
    grid-template-columns: auto;
  }
}
.p-exercise li:nth-child(1) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_blue.png.webp");
}
.p-exercise li:nth-child(1) .p-exercise__image-title {
  background: #5BA5DC;
}
.p-exercise li:nth-child(2) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_orange.png.webp");
}
.p-exercise li:nth-child(2) .p-exercise__image-title {
  background: #ED721F;
}
.p-exercise li:nth-child(3) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_pink.png.webp");
}
.p-exercise li:nth-child(3) .p-exercise__image-title {
  background: #DF5A8A;
}
.p-exercise li:nth-child(4) .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_yellow.png.webp");
}
.p-exercise li:nth-child(4) .p-exercise__image-title {
  background: #FFB405;
}
.p-exercise__link:hover .p-exercise__image {
  transform: scale(1.1);
}
@media only screen and (max-width: 767px) {
  .p-exercise__link {
    display: flex;
    align-items: center;
    gap: 24px;
  }
}
.p-exercise__image-wrap {
  position: relative;
}
@media only screen and (max-width: 767px) {
  .p-exercise__image-wrap {
    max-width: 50%;
    width: 100%;
    flex-shrink: 0;
  }
}
@media only screen and (max-width: 480px) {
  .p-exercise__image-wrap {
    max-width: 36%;
    border-radius: 8px;
  }
}
.p-exercise__image-wrap::before {
  position: absolute;
  content: "";
  background-repeat: no-repeat;
  background-size: contain;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}
.p-exercise__image-title {
  color: #ffffff;
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-size: 40px;
  font-weight: 900;
  position: absolute;
  top: 32px;
  padding: 12px;
  text-align: center;
  border-radius: 24px 24px 0 0;
  z-index: 1;
  width: 556px;
  left: 50%;
  transform: translateX(-50%);
  line-height: 1.4;
}
@media only screen and (max-width: 1440px) {
  .p-exercise__image-title {
    top: 7%;
    width: calc(100% - 4.4vw);
    border-radius: 2vw 2vw 0 0;
  }
}
@media only screen and (max-width: 1279px) {
  .p-exercise__image-title {
    font-size: 24px;
  }
}
@media only screen and (max-width: 767px) {
  .p-exercise__image-title {
    font-size: 2.4vw;
  }
}
@media only screen and (max-width: 480px) {
  .p-exercise__image-title {
    font-size: 2vw;
    width: calc(100% - 3.4vw);
    padding: 1.3vw 0;
    border-radius: 1.4vw 1.4vw 0 0;
    top: 6%;
  }
}
.p-exercise__image {
  position: relative;
  padding: min(2.3vw, 32px);
  width: 100%;
}
@media only screen and (min-width: 768px) {
  .p-exercise__image {
    transition: all 0.5s;
  }
}
@media only screen and (max-width: 767px) {
  .p-exercise__image {
    width: 100%;
    padding: 5%;
  }
}
.p-exercise__title {
  font-weight: bold;
  font-size: 24px;
  margin-top: 26px;
  text-align: center;
}
@media only screen and (max-width: 767px) {
  .p-exercise__title {
    font-size: 18px;
    margin-top: 0;
    text-align: unset;
  }
}
.p-exercise__btn {
  margin-top: 56px;
}/*# sourceMappingURL=class_detail.css.map */

/*20250312追記*/
.p-price-table__data {
  background: #ffffff;
}

/*20250421 キャラクターアニメーション追加*/
.p-exercise li:nth-child(1) .p-exercise__link:hover .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_blue_hover.png.webp");
}
.p-exercise li:nth-child(2) .p-exercise__link:hover .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_orange_hover.png.webp");
}
.p-exercise li:nth-child(3) .p-exercise__link:hover .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_pink_hover.png.webp");
}
.p-exercise li:nth-child(4) .p-exercise__link:hover .p-exercise__image-wrap::before {
  background-image: url("../media/images/common/exercise_frame_yellow_hover.png.webp");
}